## START: Set by rpmautospec
## (rpmautospec version 0.2.6)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# Generated by rust2rpm 21
%bcond_without check

%global crate navi

Name:           rust-%{crate}
Version:        2.20.1
Release:        %autorelease
Summary:        Interactive cheatsheet tool for the command-line

# Upstream license specification: Apache-2.0
License:        ASL 2.0
URL:            https://crates.io/crates/navi
Source0:        %{crates_source}
Source1:        LICENSE.dependencies
# Initial patched metadata
# * temporarily downgrade crossterm from 0.23.2 to 0.22.1
Patch0:         navi-fix-metadata.diff

ExclusiveArch:  %{rust_arches}

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
Interactive cheatsheet tool for the command-line.}

%description %{_description}

%package     -n %{crate}
Summary:        %{summary}
# ASL 2.0
# ASL 2.0 or Boost
# ASL 2.0 or MIT
# BSD
# CC0
# MIT
# MIT or ASL 2.0
# Unlicense or MIT
License:        ASL 2.0 and BSD and CC0 and MIT
# LICENSE.dependencies contains a full license breakdown
Requires:       fzf

%description -n %{crate} %{_description}

%files       -n %{crate}
%license LICENSE
%license LICENSE.dependencies
%doc README.md
%{_bindir}/navi

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+disable-command-execution-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+disable-command-execution-devel %{_description}

This package contains library source intended for building other packages which
use the "disable-command-execution" feature of the "%{crate}" crate.

%files       -n %{name}+disable-command-execution-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+disable-repo-management-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+disable-repo-management-devel %{_description}

This package contains library source intended for building other packages which
use the "disable-repo-management" feature of the "%{crate}" crate.

%files       -n %{name}+disable-repo-management-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
cp %{SOURCE1} .
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Wed Jun 01 2022 Fabio Valentini <decathorpe@gmail.com> 2.20.1-1
- Update to version 2.20.1; Fixes RHBZ#2088337

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 2.16.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 2.16.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Thu Jun 24 2021 Joel Capitao <jcapitao@redhat.com> - 2.16.0-3
- Fix fzf dependency

* Thu Jun 24 10:32:37 CEST 2021 jbtrystram <jbtrystram@redhat.com> - 2.16.0-2
- Add requires for fzf

* Fri Apr 23 12:26:37 CEST 2021 jbtrystram <jbtrystram@redhat.com> - 2.16.0-1
- Initial package

